From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1679731-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 970B6158046
	for <garchives@archives.gentoo.org>; Sun, 13 Oct 2024 20:01:29 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 0325EE0824;
	Sun, 13 Oct 2024 20:01:26 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id DFC99E0824
	for <gentoo-commits@lists.gentoo.org>; Sun, 13 Oct 2024 20:01:25 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 0A6343430E8
	for <gentoo-commits@lists.gentoo.org>; Sun, 13 Oct 2024 20:01:25 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 683501C94
	for <gentoo-commits@lists.gentoo.org>; Sun, 13 Oct 2024 20:01:23 +0000 (UTC)
From: "Mike Pagano" <mpagano@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Mike Pagano" <mpagano@gentoo.org>
Message-ID: <1728849616.0f2e56e6dd7fbf07dadf78f9856e21d78bb05c69.mpagano@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/
X-VCS-Repository: repo/gentoo
X-VCS-Files: sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
X-VCS-Directories: sys-kernel/linux-firmware/
X-VCS-Committer: mpagano
X-VCS-Committer-Name: Mike Pagano
X-VCS-Revision: 0f2e56e6dd7fbf07dadf78f9856e21d78bb05c69
X-VCS-Branch: master
Date: Sun, 13 Oct 2024 20:01:23 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: e2643931-fcac-4909-86c1-536913351bd4
X-Archives-Hash: f2b54fd31d1215dc2e4dfe89900a4607

commit:     0f2e56e6dd7fbf07dadf78f9856e21d78bb05c69
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 20:00:16 2024 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 20:00:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f2e56e6

sys-kernel/linux-firmware: Support python as build dep, include PR

Thanks to Emil Velikov for his contribution

Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 sys-kernel/linux-firmware/linux-firmware-99999999.ebuild | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
index a158105aa496..a177433c8846 100644
--- a/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
+++ b/sys-kernel/linux-firmware/linux-firmware-99999999.ebuild
@@ -2,7 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-inherit dist-kernel-utils linux-info mount-boot savedconfig
+PYTHON_COMPAT=( python3_{10..13} )
+inherit dist-kernel-utils linux-info mount-boot python-any-r1 savedconfig
 
 # In case this is a real snapshot, fill in commit below.
 # For normal, tagged releases, leave blank
@@ -40,8 +41,8 @@ RESTRICT="binchecks strip test
 BDEPEND="initramfs? ( app-alternatives/cpio )
 	compress-xz? ( app-arch/xz-utils )
 	compress-zstd? ( app-arch/zstd )
-	python
-	deduplicate? ( app-misc/rdfind )"
+	deduplicate? ( app-misc/rdfind )
+	${PYTHON_DEPS}"
 
 #add anything else that collides to this
 RDEPEND="!savedconfig? (
@@ -85,6 +86,9 @@ pkg_pretend() {
 }
 
 pkg_setup() {
+
+	python_setup
+
 	if use compress-xz || use compress-zstd ; then
 		local CONFIG_CHECK
 
@@ -122,6 +126,7 @@ src_prepare() {
 
 	chmod +x copy-firmware.sh || die
 	chmod +x dedup-firmware.sh || die
+	chmod +x check_whence.py || die
 	cp "${FILESDIR}/${PN}-make-amd-ucode-img.bash" "${T}/make-amd-ucode-img" || die
 	chmod +x "${T}/make-amd-ucode-img" || die
 
@@ -139,6 +144,7 @@ src_prepare() {
 	local misc_files=(
 		copy-firmware.sh
 		dedup-firmware.sh
+		check_whence.py
 		WHENCE
 		README
 	)